Unmet dependencies packages error

by Michail N   Last Updated October 17, 2017 11:02 AM

I tried to install a package and I get:

sudo apt-get install cloudera-manager-agent

Some packages could not be installed. This may mean that you have 
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created or
been moved out of Incoming. The following information may help to
resolve the situation:

The following packages have unmet dependencies: 
cloudera-manager-agent : 

Depends: libssl-dev but it is not going to be
installed


Depends: python-psycopg2 but it is not installable


Depends: python-mysqldb but it is not installable


Depends: apache2 but it is not going to be installed 

E: Unable to correct problems, you have held broken packages.

I tried to run

sudo apt-get clean

and

sudo apt-get install -f cloudera-manager-agent 

but they didn't worked either.

I run in debian 8.4 Jessie.

Note: My sources.list file is

# deb cdrom:[Debian GNU/Linux 8.4.0 _Jessie_ - Official amd64 DVD Binary-1 20160402-14:46]/ jessie contrib main

# deb cdrom:[Debian GNU/Linux 8.4.0 _Jessie_ - Official amd64 DVD Binary-1 20160402-14:46]/ jessie main contrib

deb http://security.debian.org/ jessie/updates main contrib deb-src http://security.debian.org/ jessie/updates main contrib

# jessie-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.

# deb http://ftp.debian.org/debian/ jessie-updates main contrib
# deb-src http://ftp.debian.org/debian/ jessie-updates main contrib

I also have downloaded a cloudera.list file and add it in /etc/apt/sources.list.d/ directory. Do I need to manually add these lines in sources.list file?

Anyway any help is appreciated



Related Questions


Problem with cluster installation with cloudera manager

Updated December 16, 2015 11:01 AM


apt-get broken: No module named debian.deb822

Updated April 07, 2015 18:00 PM

Getting + installing gcc/g++ 4.9 on Ubuntu?

Updated April 13, 2015 20:00 PM

How to remove packages from my own Debian package?

Updated February 26, 2017 19:02 PM